Note
Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your project ID. For existing groups, your group/project ID remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.
Create a new user. By default, any non-global organization and project roles in the payload send users an invitation to the organization or project first.
Resource
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
POST /usersRequest Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
All fields are required.
Name | Type | Description |
|---|---|---|
username | string | Username of the Ops Manager user. Validated depending on the value of the
See |
password | string | Password of the Ops Manager user. This field is not included in the entity returned from the server. It can be sent only in the entity body when you create a new user. |
emailAddress | string | Email address of the Ops Manager user. |
mobileNumber | string | Mobile telephone number of the Ops Manager user. |
firstName | string | First name of the Ops Manager user. |
lastName | string | Last name of the Ops Manager user. |
roles | object array | Role assignments of the Ops Manager user. |
roles.orgId | string | Unique identifier of the organization in which the Ops Manager user has the specified role. |
roles.groupId | string | Unique identifier of the group in which the Ops Manager user has the specified role. For the "global" roles (those whose name starts with |
roles.roleName | string | Name of the role. Accepted values are:
|
Response
The JSON document contains each of the following elements:
Name | Type | Description |
|---|---|---|
| string | Email address of the Ops Manager user. |
| string | First name of the Ops Manager user. |
| string | Unique identifier of the Ops Manager user. |
| string | Last name of the Ops Manager user. |
| object array | Links to related sub-resources. All |
| string | Mobile number of the Ops Manager user. |
| empty array | Role assigned to the Ops Manager user. |
| string | Unique identifier for the project in which the user has the specified role. Roles that start with |
| string | Unique identifier for the organization in which the user has the specified role. |
| string | Name of the role. Accepted values are:
|
| string | Username of the Ops Manager user. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request POST "https://<OpsManagerHost>:<Port>/api/public/v1.0/users" \ --data ' { "username": "jane.doe@mongodb.com", "emailAddress": "jane.doe@mongodb.com", "firstName": "Jane", "lastName": "Doe", "password": "M0ng0D8!:)", "roles": [{ "groupId": "533daa30879bb2da07807696", "roleName": "GROUP_USER_ADMIN" },{ "orgId" : "55555bbe3bd5253aea2d9b16", "roleName" : "ORG_MEMBER" }] }'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 201 CreatedVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "id" : "533dc19ce4b00835ff81e2eb", "username" : "jane.doe@mongodb.com", "emailAddress" : "jane.doe@mongodb.com", "firstName" : "Jane", "lastName" : "Doe", "roles" : [], "links" : []}